Package de.gebit.integrity.runner.wrapper

## Class DefaultWrapperFactory

- java.lang.Object
- - de.gebit.integrity.runner.wrapper.DefaultWrapperFactory

- All Implemented Interfaces:
    `WrapperFactory`

      public class DefaultWrapperFactory
      extends Object
      implements WrapperFactory

  The basic wrapper factory.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected com.google.inject.Injector` | `injector` | The `Injector` to use for injection of dependencies into the new wrapper.
    `protected ModelChecker` | `modelChecker` | The model checker.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultWrapperFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CustomOperationWrapper` | `newCustomOperationWrapper​(CustomOperation anOperation)` | Creates a new `CustomOperationWrapper` for the given `CustomOperation`.
    `FixtureWrapper<?>` | `newFixtureWrapper​(MethodReference aFixtureMethodRef)` | Creates a new `FixtureWrapper` for the given `MethodReference`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### injector

          @Inject
          protected com.google.inject.Injector injector

      The `Injector` to use for injection of dependencies into the new wrapper.

    - #### modelChecker

          @Inject
          protected ModelChecker modelChecker

      The model checker.

  - ### Constructor Detail

    - #### DefaultWrapperFactory

          public DefaultWrapperFactory()

  - ### Method Detail

    - #### newFixtureWrapper

          public FixtureWrapper<?> newFixtureWrapper​(MethodReference aFixtureMethodRef)
                                              throws ClassNotFoundException,
                                                     InstantiationException,
                                                     IllegalAccessException

      Description copied from interface: `WrapperFactory`
      Creates a new `FixtureWrapper` for the given `MethodReference`.
      Specified by:
        `newFixtureWrapper` in interface `WrapperFactory`
      Parameters:
        `aFixtureMethodRef` - the fixture method to instantiate
      Returns:
        the `FixtureWrapper` instance
      Throws:
        `ClassNotFoundException`
        `InstantiationException`
        `IllegalAccessException`

    - #### newCustomOperationWrapper

          public CustomOperationWrapper newCustomOperationWrapper​(CustomOperation anOperation)
                                                           throws ClassNotFoundException

      Description copied from interface: `WrapperFactory`
      Creates a new `CustomOperationWrapper` for the given `CustomOperation`.
      Specified by:
        `newCustomOperationWrapper` in interface `WrapperFactory`
      Parameters:
        `anOperation` - the operation to instantiate
      Returns:
        the `CustomOperationWrapper` instance
      Throws:
        `ClassNotFoundException`